Set clear button in calendar in Angular Calendar component

18 Nov 20183 minutes to read

The following steps illustrate how to configure clear button in Calendar UI.

  1. On created event of Calendar add the required elements to have clear button. Here we have used div with Essential® JS 2 Button component.

  2. Use the e-footer class to the div tag to act as the footer.

  3. Use button to clear the selected date from the calendar.

  4. Bind the required event handler to the button tag to clear the value.

Below is the code example.

import { NgModule } from '@angular/core'
import { FormsModule } from '@angular/forms'
import { BrowserModule } from '@angular/platform-browser'
import { CalendarModule } from '@syncfusion/ej2-angular-calendars'




import { Component, ViewChild } from '@angular/core';
import { CalendarComponent } from '@syncfusion/ej2-angular-calendars';

@Component({
imports: [
        
        CalendarModule,
        FormsModule
    ],


standalone: true,
    selector: 'app-root',
    styleUrls: ['./style.css'],
    template: `
        <!-- Bind created event to add the clear button --->
        <ejs-calendar #ejCalendar (created)='onCreate()'></ejs-calendar>
        `
})
export class AppComponent {
    @ViewChild('ejCalendar') ejCalendar?: CalendarComponent;
    onCreate() {
        let clearBtn: HTMLElement = document.createElement('button');
        let footerElement: HTMLElement = document.getElementsByClassName('e-footer-container')[0] as HTMLElement;
        //creates the custom element for clear button
        clearBtn.className = 'e-btn e-clear e-flat';
        clearBtn.textContent = 'Clear';
        footerElement.prepend(clearBtn);
        (this.ejCalendar as CalendarComponent ).element.appendChild(footerElement);
        let proxy = this;
        // custom click handler to update the value property with null values.
        (document.querySelector('.e-footer-container .e-clear') as Element ).addEventListener('click', function() {
            (proxy.ejCalendar as CalendarComponent ).value = null as any;
        })
    };
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Set clear button in calendar in React Calendar component

18 Nov 20183 minutes to read

The following steps illustrate how to configure a clear button in the Calendar UI.

  • During the Calendar’s created event, add the required elements for the clear button. This example uses a div with the Essential® JS 2 Button component.

  • Add the e-footer class to the div to make it act as the footer.

  • Use the button to clear the selected date.

  • Bind the necessary event handler to the button to update the Calendar’s value.

Below is the code example

// import the calendarcomponent
import { CalendarComponent } from '@syncfusion/ej2-react-calendars';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class App extends React.Component {
    onCreated() {
        const proxy = this;
        const clearBtn = document.createElement('button');
        clearBtn.setAttribute('class', 'e-btn e-clear e-flat');
        clearBtn.innerHTML = 'Clear';
        const footerElement = document.querySelector('.e-footer-container');
        footerElement.insertBefore(clearBtn, footerElement.childNodes[0]);
        document.querySelector(".e-clear").addEventListener("click", (e) => {
            proxy.value = null;
        });
    }
    render() {
        return (<CalendarComponent id="calendar" created={this.onCreated}/>);
    }
}
ReactDOM.render(<App />, document.getElementById('element'));
// import the calendarcomponent
import { CalendarComponent } from '@syncfusion/ej2-react-calendars';
import * as React from "react";
import * as ReactDOM from "react-dom";

export default class App extends React.Component<{}, {}> {

    public onCreated(): void {
        const proxy: any = this;
        const clearBtn = document.createElement('button');
        clearBtn.setAttribute('class', 'e-btn e-clear e-flat');
        clearBtn.innerHTML = 'Clear';
        const footerElement: HTMLElement = document.querySelector('.e-footer-container') as HTMLElement;
        footerElement.insertBefore(clearBtn,footerElement.childNodes[0]);
        (document.querySelector(".e-clear") as HTMLElement).addEventListener("click",(e) => {
            proxy.value = null;
        });
    }
    public render() {
        return (
            <CalendarComponent id="calendar" created={this.onCreated} />
        );
     }
 }

ReactDOM.render(<App />, document.getElementById('element'));

Set clear button in calendar in Vue Calendar component

18 Nov 20185 minutes to read

To configure clear button in Calendar UI, do the following:

  1. To the created event of the Calendar, add the required elements to make the clear button visible. In the following example, div with Essential® JS 2 button component is used.

  2. When the e-footer class is used, the div tag acts as the footer.

  3. Using these button, selected date can be cleared.

  4. Bind the required event handler to the button tags to update the value.

<template>
    <div id="app">
        <div class='wrap'>
            <ejs-calendar id='calendar' :created='onCreate' ref="CalendarInstance"></ejs-calendar>
        </div>
    </div>
</template>
<script setup>

import { CalendarComponent as EjsCalendar } from "@syncfusion/ej2-vue-calendars";
import { ref } from 'vue';

const CalendarInstance = ref(null);

const onCreate = () => {
    let calendarObj = CalendarInstance.value;
    let clearBtn = document.createElement('button');
    let footerElement = document.getElementsByClassName('e-footer-container')[0];
    clearBtn.className = 'e-btn e-clear e-flat';
    clearBtn.textContent = 'Clear';
    footerElement.prepend(clearBtn);
    calendarObj.$el.appendChild(footerElement);
    document.querySelector('.e-footer-container .e-clear').addEventListener('click', function () {
        calendarObj.value = null;
        calendarObj.dataBind();
    });
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrap {
    margin: 35px auto;
    width: 240px;
}

.e-clear {
    margin-right: 81px;
}
</style>
<template>
    <div id="app">
        <div class='wrap'>
            <ejs-calendar id='calendar' :created='onCreate' ref="CalendarInstance"></ejs-calendar>
        </div>
    </div>
</template>
<script>

import { CalendarComponent } from "@syncfusion/ej2-vue-calendars";

export default {
    name: "App",
    components: {
        "ejs-calendar": CalendarComponent
    },
    methods: {
        onCreate: function () {
            let calendarObj = this.$refs.CalendarInstance;
            let clearBtn = document.createElement('button');
            let footerElement = document.getElementsByClassName('e-footer-container')[0];
            clearBtn.className = 'e-btn e-clear e-flat';
            clearBtn.textContent = 'Clear';
            footerElement.prepend(clearBtn);
            calendarObj.$el.appendChild(footerElement);
            document.querySelector('.e-footer-container .e-clear').addEventListener('click', function () {
                calendarObj.value = null;
                calendarObj.dataBind();
            });
        }
    }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrap {
    margin: 35px auto;
    width: 240px;
}

.e-clear {
    margin-right: 81px;
}
</style>